org.springframework.batch.sample.domain.football

## Class Player

- java.lang.Object
- - org.springframework.batch.sample.domain.football.Player

- All Implemented Interfaces:
    java.io.Serializable

      public class Player
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Player()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBirthYear()`
    `int` | `getDebutYear()`
    `java.lang.String` | `getFirstName()`
    `java.lang.String` | `getId()`
    `java.lang.String` | `getLastName()`
    `java.lang.String` | `getPosition()`
    `void` | `setBirthYear(int birthYear)`
    `void` | `setDebutYear(int debutYear)`
    `void` | `setFirstName(java.lang.String firstName)`
    `void` | `setId(java.lang.String id)`
    `void` | `setLastName(java.lang.String lastName)`
    `void` | `setPosition(java.lang.String position)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Player

          public Player()

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getId

          public java.lang.String getId()

    - #### getLastName

          public java.lang.String getLastName()

    - #### getFirstName

          public java.lang.String getFirstName()

    - #### getPosition

          public java.lang.String getPosition()

    - #### getBirthYear

          public int getBirthYear()

    - #### getDebutYear

          public int getDebutYear()

    - #### setId

          public void setId(java.lang.String id)

    - #### setLastName

          public void setLastName(java.lang.String lastName)

    - #### setFirstName

          public void setFirstName(java.lang.String firstName)

    - #### setPosition

          public void setPosition(java.lang.String position)

    - #### setBirthYear

          public void setBirthYear(int birthYear)

    - #### setDebutYear

          public void setDebutYear(int debutYear)